%define stylename klearlook
%define version 0.9.9.2
%define release %mkrel 1

Name: 		kdetheme-%{stylename}
Version: 	%{version}
Release: 	%{release}

Summary: 	Klearlook theme for KDE/Qt-based apps
Source0: 	klearlook-%{version}.tar.bz2
URL: 		http://www.kde-look.org/content/show.php?content=31717
Group: 		Graphical desktop/KDE
BuildRoot: 	%{_tmppath}/%{stylename}-buildroot
License: 	GPL
Requires: 	libkdecore4
Requires:	kdebase-progs
Requires: 	qt3engine-klearlook = %{version}-%{release}
BuildRequires: 	libkdecore4-devel
BuildRequires: 	libjpeg62-devel

%description
This is a set of widget styles for KDE/Qt-based apps, matching the Clearlooks style of Gtk-2.x.

%description -l de
Dies ist ein Set von Widgets fr KDE/Qt-basierte Anwendungen, angelehnt an den Clearlooks-Stil von Gtk-2.x.

%prep
rm -rf $RPM_BUILDROOT
%setup -q -n %{stylename}-%{version}
%build
%configure --prefix=/usr 
%make
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mkdir -p %{buildroot}%{_libdir}/qt3/plugins/lib/styles/
mv -f %{buildroot}%{_libdir}/kde3/plugins/styles/* %{buildroot}%{_libdir}/qt3/plugins/lib/styles/
mkdir -p %{buildroot}%{_datadir}/themes
cd %{buildroot}%{_datadir}/themes
tar xzf %{_builddir}/%{stylename}-%{version}/colorshemes/Klearlook-gtk.tgz

%files
%defattr(-,root,root,0755)
%doc README TODO
%{_datadir}/apps/*
%{_datadir}/themes/*
%{_libdir}/kde3/*

%package -n qt3style-%{stylename}
Summary: 	Klearlook theme engine for Qt3
Group: 		Graphical Desktop/KDE
Requires: 	qt3-common
Requires: 	libjpeg62
Provides:	qt3engine-klearlook = %{version}-%{release}

%description -n qt3style-%{stylename}
This is the Klearlook Qt3 theme engine. If you just like to use this style with native Qt3-applications (Scribus etc.), install this package and config the colours with qtconfig.

%description -l de -n qt3style-%{stylename}
Dies ist die Qt3-Engine "Klearlook". Wenn Sie diesen Stil in reinen Qt3-Anwendungen nutzen wollen (Scribus usw.), installieren Sie dieses Paket und konfigurieren Sie die Farben mit qtconfig.

%files -n qt3style-%{stylename}
%{_libdir}/qt3/plugins/lib/styles/*

%changelog

* Fri Nov 30 2008 Mario Blättermann <mbl103@arcor.de>
-initial version

* Fri Dec 07 2007 Oliver Burger <rpm@mandrivauser.de 0.9.9.2-1mud2008.0
- Rebuild for MUde